<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/TrackStateData.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TrackStateData.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_track_state_data_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_TrackStateDATA_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_TrackStateDATA_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;array&gt;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_data.html">   15</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_track_state_data.html">TrackStateData</a> {</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_data.html#a2044a34486e38724b5a95e6edb472967">   17</a></span>&#160;  <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_track_state_data.html#a2044a34486e38724b5a95e6edb472967">location</a>; </div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_data.html#ab6188d17e65916c7f01bb56648f863cf">   18</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_track_state_data.html#ab6188d17e65916c7f01bb56648f863cf">d0</a>; </div><div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_data.html#a1fc4f68304748e87167b6e54a60a0eb2">   19</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_track_state_data.html#a1fc4f68304748e87167b6e54a60a0eb2">phi</a>; </div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_data.html#a6a2de5a63e5aa2f0d5d60f2182271f39">   20</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_track_state_data.html#a6a2de5a63e5aa2f0d5d60f2182271f39">omega</a>; </div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_data.html#a31d6fae15509d30728ae39f637bac0ee">   21</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_track_state_data.html#a31d6fae15509d30728ae39f637bac0ee">z0</a>; </div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_data.html#a03739d2c99c5c5aa2c52f70fe40485c2">   22</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_track_state_data.html#a03739d2c99c5c5aa2c52f70fe40485c2">tanLambda</a>; </div><div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_data.html#a1935a4a9ae2fa587d26e449925624e91">   23</a></span>&#160;  std::array&lt;float, 3&gt; <a class="code" href="classeic_1_1_track_state_data.html#a1935a4a9ae2fa587d26e449925624e91">referencePoint</a>; </div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;};</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_track_state_data_html_a1fc4f68304748e87167b6e54a60a0eb2"><div class="ttname"><a href="classeic_1_1_track_state_data.html#a1fc4f68304748e87167b6e54a60a0eb2">eic::TrackStateData::phi</a></div><div class="ttdeci">float phi</div><div class="ttdoc">Phi of the track at the reference point. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_data_8h_source.html#l00019">TrackStateData.h:19</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_data_html_ab6188d17e65916c7f01bb56648f863cf"><div class="ttname"><a href="classeic_1_1_track_state_data.html#ab6188d17e65916c7f01bb56648f863cf">eic::TrackStateData::d0</a></div><div class="ttdeci">float d0</div><div class="ttdoc">Impact parameter of the track in (r-phi). </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_data_8h_source.html#l00018">TrackStateData.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_data_html_a2044a34486e38724b5a95e6edb472967"><div class="ttname"><a href="classeic_1_1_track_state_data.html#a2044a34486e38724b5a95e6edb472967">eic::TrackStateData::location</a></div><div class="ttdeci">int location</div><div class="ttdoc">The location of the track state. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_data_8h_source.html#l00017">TrackStateData.h:17</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_data_html_a1935a4a9ae2fa587d26e449925624e91"><div class="ttname"><a href="classeic_1_1_track_state_data.html#a1935a4a9ae2fa587d26e449925624e91">eic::TrackStateData::referencePoint</a></div><div class="ttdeci">std::array&lt; float, 3 &gt; referencePoint</div><div class="ttdoc">Reference point of the track parameters. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_data_8h_source.html#l00023">TrackStateData.h:23</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_data_html"><div class="ttname"><a href="classeic_1_1_track_state_data.html">eic::TrackStateData</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_state_data_8h_source.html#l00015">TrackStateData.h:15</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_data_html_a03739d2c99c5c5aa2c52f70fe40485c2"><div class="ttname"><a href="classeic_1_1_track_state_data.html#a03739d2c99c5c5aa2c52f70fe40485c2">eic::TrackStateData::tanLambda</a></div><div class="ttdeci">float tanLambda</div><div class="ttdoc">Lambda is the dip angle of the track in r-z at the reference point. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_data_8h_source.html#l00022">TrackStateData.h:22</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_data_html_a6a2de5a63e5aa2f0d5d60f2182271f39"><div class="ttname"><a href="classeic_1_1_track_state_data.html#a6a2de5a63e5aa2f0d5d60f2182271f39">eic::TrackStateData::omega</a></div><div class="ttdeci">float omega</div><div class="ttdoc">Omega is the signed curvature of the track in [1/mm]. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_data_8h_source.html#l00020">TrackStateData.h:20</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_data_html_a31d6fae15509d30728ae39f637bac0ee"><div class="ttname"><a href="classeic_1_1_track_state_data.html#a31d6fae15509d30728ae39f637bac0ee">eic::TrackStateData::z0</a></div><div class="ttdeci">float z0</div><div class="ttdoc">Impact parameter of the track in (r-z). </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_data_8h_source.html#l00021">TrackStateData.h:21</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
